Bug 1565596 - Error while executing action: A Request to the Server failed: For input string: "0].concat([7
Summary: Error while executing action: A Request to the Server failed: For input strin...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.2.2.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ovirt-4.3.0
: ---
Assignee: Greg Sheremeta
QA Contact: Jiri Belka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 11:39 UTC by Jiri Belka
Modified: 2018-04-26 17:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-26 17:23:59 UTC
oVirt Team: UX
rule-engine: ovirt-4.3+


Attachments (Terms of Use)

Description Jiri Belka 2018-04-10 11:39:31 UTC
Description of problem:

Just saw $summary message in popup windows while changing view from Hosts to VMs. After clicking on butten another dialog appeared with '<something> is null' (where 'something' is a text I don't remember).

Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-4.2.2.6-0.1.el7.noarch

How reproducible:
1 in 1

Steps to Reproduce:
1. no idea but I was changing view from Hosts (default) to VMs
2.
3.

Actual results:
strange popups with not end-user meaningful info

Expected results:
such popups should not appear

Additional info:

Comment 2 Jiri Belka 2018-04-10 11:40:58 UTC
uHe @ webadmin-0.js:19988
webadmin-0.js:19988 Tue Apr 10 13:07:18 GMT+200 2018 org.ovirt.engine.ui.frontend.Frontend
SEVERE: Failed to execute runQuery: java.lang.NumberFormatException: For input string: "0].concat([7"
java.lang.NumberFormatException: For input string: "0].concat([7"
	at Unknown.Ts(webadmin-0.js)
	at Unknown.bt(webadmin-0.js)
	at Unknown.dt(webadmin-0.js)
	at Unknown.oGf(webadmin-0.js)
	at Unknown.new oHf(webadmin-0.js)
	at Unknown.VEf(webadmin-0.js)
	at Unknown.E1e(webadmin-0.js)
	at Unknown.XHe(webadmin-0.js)
	at Unknown.$1e(webadmin-0.js)
	at Unknown.E0(webadmin-0.js)
	at Unknown.T0(webadmin-0.js)
	at Unknown.eval(webadmin-0.js)
	at Unknown.Iu(webadmin-0.js)
	at Unknown.Lu(webadmin-0.js)
	at Unknown.eval(webadmin-0.js)

Comment 3 Greg Sheremeta 2018-04-10 20:41:41 UTC
Jiri, I've seen something like this before with a "bad" GWT compile. It's random and I've never figured it out.

Can you see if someone else can duplicate, both on that same version and a newer one?

Comment 4 Jiri Belka 2018-04-11 05:46:12 UTC
(In reply to Greg Sheremeta from comment #3)
> Jiri, I've seen something like this before with a "bad" GWT compile. It's
> random and I've never figured it out.
> 
> Can you see if someone else can duplicate, both on that same version and a
> newer one?

I asked my colls, nobody has seen it.

Comment 5 Tomas Jelinek 2018-04-11 06:39:21 UTC
I would wait for about a week if it returns. If not, I would close this as "wontfix" because it would take significant time to analyze what was wrong with a very small chance of success. And even if found and fixed, it would fix a very un-important/rare case with small consequences.

Comment 6 Greg Sheremeta 2018-04-26 17:23:59 UTC
Please open another bug if you see something like this again. Closing per Comment 5


Note You need to log in before you can comment on or make changes to this bug.